/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


/*****************************************************************************
******************************************************************************
**                                                                            
**        Y     Y   OOOO    OOOO   DDDDD     AA
**         Y   Y   O    O  O    O  D    D   A  A
**          Y Y    O    O  O    O  D    D  A    A 
**           Y     O    O  O    O  D    D  AAAAAA
**           Y     O    O  O    O  D    D  A    A
**           Y      OOOO    OOOO   DDDDD   A    A
**
******************************************************************************
******************************************************************************/
/*****************************************************************************
*
*  MODULE :             Page handler
*  SCOPE :              Page handler
*  FILE :               pagehdl.hxx
*  AUTHORS :            E. Abecassis
*  CREATION DATE :      August 1, 1993
*  COPYRIGHTS :        (C) E. Abecassis, 1993
*  HISTORY :
*
******************************************************************************/

#ifdef __GNUG__
#pragma interface
#endif
#ifndef __pagehdl_HXX
#define __pagehdl_HXX

/* IMPORTS *******************************************************************/

#ifndef __hem_HXX
#include "hem.hxx"
#endif

#ifndef __oid_HXX
#include "oid.hxx"
#endif

/*****************************************************************************/

class PageHdl {

  private :

  PID _pid ;

  public :

  PageHdl(const PID& p) ;
  PID& ident() ;
} ;

inline PageHdl::PageHdl(const PID& p) : _pid(p) {} 

inline PID& PageHdl::ident() {
  return this->_pid ;
}

// HEM set of pages identified by PID
typedef HEM<65536, 8, PageHdl, PID> PageSet ;
typedef IterHEM<65536, 8, PageHdl, PID> IterPageSet ;

#endif
